<template>
  <div>
    <section
      id="storytelling"
      class="bg-secondary overflow-hidden h-[calc(25vh+80px)] md:h-[100vh] flex items-center justify-center relative"
    >
      <video
        autoplay
        loop
        muted
        class="absolute w-auto min-w-full min-h-full max-w-none"
      >
        <source src="/storytelling.webm" type="video/webm" />
        <source src="/storytelling.mp4" type="video/mp4" />
        Your browser does not support the video tag.
      </video>
      <div class="absolute inset-0 bg-secondary bg-opacity-[76%]"></div>

      <!-- <div class="relative z-0 px-4 mx-auto text-center lg:px-0 lg:max-w-4xl">
        <h1 class="mb-10 text-3xl font-bold text-white uppercase lg:text-6xl bai">
          Mina para <span class="text-primary">transformar</span>
        </h1>
        <!~~ <div class="mx-auto text-lg text-muted lg:text-2xl lg:max-w-xl">
          <p class="text-primary">Somos un movimiento <br class="block md:hidden"> de minería en español</p>
          <p>que inspira a las personas a creer, aprender y minar Bitcoin para mejorar su vida.</p>
        </div> ~~>
        <div class="flex flex-col justify-center w-full mt-16 space-y-8 lg:flex-row lg:space-y-0 lg:space-x-8">
          <div>
            <a href="#" class="w-full btn btn-primary lg:w-auto">Cree</a>
          </div>
          <div>
            <a href="#" class="w-full btn btn-primary lg:w-auto">Aprende</a>
          </div>
          <div>
            <a href="#" class="w-full btn btn-primary lg:w-auto">Mina</a>
          </div>
        </div>
      </div> -->
    </section>

    <section
      id="section-about"
      class="relative py-16 overflow-hidden bg-primary lg:bg-secondary group"
      v-observe-visibility="{
        callback: visibilityChanged,
        once: true,
        threshold: 0.3,
      }"
    >
      <span
        class="absolute w-0 h-0 transition-all duration-500 ease-in-out transform -translate-x-1/2 -translate-y-1/2 left-1/2 top-1/2 bg-primary"
      ></span>
      <div
        class="relative px-10 mx-auto space-y-8 text-lg lg:text-2xl lg:px-0 lg:max-w-lg text-secondary"
      >
        <div class="flex items-center justify-center">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            class="w-20 h-20 text-secondary"
            viewBox="0 0 69.24 54.173"
          >
            <path
              d="M55.9,13.868V28.385l-.012-.012a18.814,18.814,0,0,0-4.092-3.1V11.1a34.334,34.334,0,0,0-7.749-1.185c-.451-.021-.907-.029-1.367-.029s-.915.008-1.367.029A34.334,34.334,0,0,0,33.565,11.1V25.274a18.815,18.815,0,0,0-4.092,3.1l-.012.012V13.868A34.614,34.614,0,0,0,8.073,45.2L8.061,64.057H77.3L77.289,45.2A34.614,34.614,0,0,0,55.9,13.868M42.681,54.821A13.224,13.224,0,1,1,55.9,41.6a13.22,13.22,0,0,1-13.22,13.22"
              transform="translate(-8.061 -9.884)"
              fill="currentColor"
            />
          </svg>
        </div>

        <!-- <p>Somos una empresa de minería creyente de Bitcoin que potencia la economía financiera descentralizada desde Latinoamérica.</p>

        <p>Somos una plataforma de ideas, servicios y recursos para el desarrollo eficiente y placentero de la minería.</p>

        <p>Somos un movimiento de minería en español que inspira a las personas a creer, aprender y minar Bitcoin para mejorar su vida.</p> -->

        <p class="leading-loose whitespace-pre-line">
          {{ $t('us.text') }}
        </p>
      </div>
    </section>

    <section id="staff" class="py-16 bg-secondary">
      <div class="container px-10">
        <h2 class="text-center uppercase section-title text-primary">Staff</h2>
        <div class="flex flex-wrap items-start justify-center">
          <UtilsStaffCard
            v-for="(person, index) in staff[0]"
            :key="index"
            :person="person"
            class="lg:w-[calc(22.5%)] md:p-[10px] w-[calc(50%)] p-[7.5px] md:w-[calc(33.3%)]"
          />
        </div>

        <div class="flex flex-wrap items-start justify-center">
          <UtilsStaffCard
            v-for="(person, index) in staff[1]"
            :key="index"
            :person="person"
            class="lg:w-[calc(20%)] md:p-[10px] w-[calc(50%)] p-[7.5px] md:w-[calc(33.3%)]"
          />
        </div>

        <div class="flex flex-wrap items-start justify-center">
          <UtilsStaffCard
            v-for="(person, index) in staff[2]"
            :key="index"
            :person="person"
            class="lg:w-[calc(20%)] md:p-[10px] w-[calc(50%)] p-[7.5px] md:w-[calc(33.3%)]"
          />
        </div>
      </div>
    </section>

    <!-- <section id="vacantes"  class="hidden py-16 bg-secondary">
      <div class="container px-10">
        <h2 class="text-center uppercase section-title text-primary">Vacantes</h2>

        <div class="grid grid-cols-1 gap-8 md:grid-cols-3">
          <div v-for="(item, index) in vacantes" :key="index" class="bg-[#12191F] rounded-lg p-10 space-y-8">
            <h3 class="text-lg bai md:text-xl text-primary">{{ item.title}}</h3>
            <p class="text-base leading-loose text-white">{{ item.description }}</p>
            <div class="flex items-center justify-center">
              <div>
                <a :href="item.link" class="btn btn-primary">Postularse</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section> -->
  </div>
</template>

<script>
export default {
  name: 'NosotrosPage',

  nuxtI18n: {
    paths: {
      en: '/us',
      es: '/nosotros',
    },
  },

  data() {
    return {
      staff: [
        [
          {
            name: 'Theodoro Toukoumidis',
            title: 0,
            image: 'Theodoro-Toukoumidis.webp',
          },
          {
            name: 'Juan José Pinto',
            title: 1,
            image: 'Juan-Jose.webp',
          },
        ],
        [
          // {
          //   name: 'Eduardo Lugo',
          //   title: 2,
          //   image: 'Eduardo-Lugo.webp'
          // },
          {
            name: 'José Hernández',
            title: 3,
            image: 'Jose-Hernandez.webp',
          },
          // {
          //   name: 'Ricardo',
          //   title: 'Coordinador de ventas',
          //   image: ''
          // },
          // {
          //   name: 'Adrian Jimenez',
          //   title: 4,
          //   image: 'Adrian-Jimenez.webp'
          // },
          // {
          //   name: 'Yeibert Godoy',
          //   title: 5,
          //   image: 'Yeibert-Godoy.webp'
          // }
          // Estaban abajo
          {
            name: 'José A. Torres',
            title: 5,
            image: 'Jose-Torres.webp',
          },
          {
            name: 'Joel Tolosa',
            title: 5,
            image: 'Joel-Tolosa.webp',
          },
          {
            name: 'Aaron Delgado',
            title: 6,
            image: 'Aaron-Delgado.webp',
          },
        ],
        [
          // {
          //   name: 'José A. Torres',
          //   title: 5,
          //   image: 'Jose-Torres.webp',
          // },
          // {
          //   name: 'Joel Tolosa',
          //   title: 5,
          //   image: 'Joel-Tolosa.webp',
          // },
          // {
          //   name: 'Aaron Delgado',
          //   title: 6,
          //   image: 'Aaron-Delgado.webp',
          // },
          // {
          //   name: 'Grace Zambrano',
          //   title: 7,
          //   image: 'Grace-Zambrano.webp'
          // },
          // {
          //   name: 'Josybel Blanco',
          //   title: 8,
          //   image: 'Josybel-Blanco.webp'
          // },
          // {
          //   name: 'Valeria Hoffmann',
          //   title: 'Coordinadora de Compras e Importaciones',
          //   image: 'Valeria-Hoffmann.webp'
          // },
        ],
      ],
      vacantes: [
        {
          title: 'Desarrollador web',
          description:
            'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis.',
          link: '#',
        },
        {
          title: 'Ing. Petroquímico',
          description:
            'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis.',
          link: '#',
        },
        {
          title: 'Ejecutivo de cuentas',
          description:
            'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis.',
          link: '#',
        },
      ],
    }
  },

  methods: {
    visibilityChanged() {
      const element = document.getElementById('section-about')
      element.classList.add('active')
    },
  },
}
</script>

<style>
#section-about.active > span {
  @apply w-[110%] h-[150%];
}
</style>
